<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019-06-20
 * Time: 14:18
 */

namespace App\Http\Controllers\V2;


use App\Repositories\MemberGroupRepository;
use Illuminate\Support\Facades\Validator;
use Illuminate\Http\Request;


class MemberGroupController extends Controller
{
    public function __construct(MemberGroupRepository $memberGroupRepository)
    {
        $this->memberGroupRepository = $memberGroupRepository;
    }

    //获取推荐用户列表
    public function memberList(Request $request)
    {
        $data = $request->all();
        $validator = Validator::make($data, [
            'take_count' => 'required|integer|max:50',
        ]);
        if ($validator->fails()) {
            return $this->jsonError($validator->errors()->first());
        }
        return $this->memberGroupRepository->isSuggestMember($data['take_count']);
    }
}